Infrastructure - Task #1346
Story # 1341 (Closed): Fix blockers to demo functionality

Write XSLT for Dryad metadata display
2011-02-14 18:24 - Matthew Jones

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Chad Berkley % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint-2011.07

Milestone: Story Points:

Product Version: *

Description

input format: coming from dryad MN (use an example dryad document from dryad or gmn dryad
output format: example http: )
(xml of same is: http:/knb. ecomformatlcs or /knb/metacat’?actlon read&gformat=xml&docid=knb-lter-and.2722.3

[12:09pm] chad: and you define a style in metacat with an xml properties file that links the publicid to the xslt
[12:10pm] chad: like this:

[12:10pm] chad:

[12:10pm] chad: /style/skins/nceas/nceas.xsl

[12:10pm] chad:

[12:10pm] chad: or

[12:10pm] chad:

[12:10pm] chad: /style/skins/nceas/nceas.xsl

[12:11pm] chad: that's in the nceas.xml file in metacat/lib/style/skins/nceas

send xslt to Chad to get it into metacat...
example xsl:

http:/knb.ecoinformatics.org/knb/style/skins/nceas/nceas.xsl
http://knb.ecoinformatics.org/knb/style/skins/nceas/nceas.xsl

History

#1 - 2011-02-14 18:25 - Robert Waltz

make certain described objects are shown in xslt by metacat for all objectFormats

#2 - 2011-02-14 21:09 - Rob Nahf

- File aDryadltemSummary.xsl.xml added

ryan: with this input http:/datadryad.org/metadata/handle/10255/dryad.1138/mets.xml
[1:45pm] ryan: it produces something like http:// ryad.org/handle/102
[1:45pm] ryan: but | stripped out some of the more confusing parts

#3 - 2011-02-15 19:49 - Rob Nahf
- Status changed from New to In Progress

- Assignee changed from Rob Nahf to Chad Berkley

sent files to Chad for testing
http://knb.ecoinformatics.org/knb/metacat?action=read&qformat=knb&docid=knb-lter-and.2722.3
http://knb.ecoinformatics.org/knb/metacat?action=read&qformat=xml&docid=knb-lter-and.2722.3
http://knb.ecoinformatics.org/knb/metacat?action=read&qformat=nceas&docid=knb-lter-and.2722.3
http://knb.ecoinformatics.org/knb/style/skins/nceas/nceas.xsl
http://knb.ecoinformatics.org/knb/style/skins/nceas/nceas.xsl
http://datadryad.org/metadata/handle/10255/dryad.1138/mets.xml
http://datadryad.org/handle/10255/dryad.1138

#4 - 2011-03-01 16:17 - Dave Vieglais

- Status changed from In Progress to Closed

Files

aDryadltemSummary.xsl.xml 16.4 KB 2011-02-14 Rob Nahf
